For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

List Bulk Syncs

GET
https://app.polytomic.com/api/bulk/syncs
GET
/api/bulk/syncs
$curl https://app.polytomic.com/api/bulk/syncs \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "active": true,
5 "additional_schedules": [
6 {
7 "frequency": "weekly",
8 "created_at": "2023-04-25T12:00:00Z",
9 "created_by": {
10 "id": "12345678-1234-1234-1234-123456789012",
11 "name": "John Doe",
12 "type": "user"
13 },
14 "day_of_week": "monday",
15 "hour": "12",
16 "minute": "30",
17 "selective_mode": "nonincrementalFields",
18 "updated_at": "2023-04-25T12:00:00Z",
19 "updated_by": {
20 "id": "12345678-1234-1234-1234-123456789012",
21 "name": "John Doe",
22 "type": "user"
23 }
24 },
25 {
26 "frequency": "continuous",
27 "created_at": "2023-04-25T12:00:00Z",
28 "created_by": {
29 "id": "12345678-1234-1234-1234-123456789012",
30 "name": "John Doe",
31 "type": "user"
32 },
33 "selective_mode": "incrementalFields",
34 "updated_at": "2023-04-25T12:00:00Z",
35 "updated_by": {
36 "id": "12345678-1234-1234-1234-123456789012",
37 "name": "John Doe",
38 "type": "user"
39 }
40 }
41 ],
42 "automatically_add_new_fields": "all",
43 "automatically_add_new_objects": "all",
44 "concurrency_limit": 50,
45 "created_at": "2024-01-15T09:30:00Z",
46 "created_by": {
47 "id": "12345678-1234-1234-1234-123456789012",
48 "name": "John Doe",
49 "type": "user"
50 },
51 "data_cutoff_timestamp": "2023-04-25T12:00:00Z",
52 "default_schedule": {
53 "frequency": "manual",
54 "created_at": "2024-01-15T09:30:00Z",
55 "created_by": {
56 "id": "12345678-1234-1234-1234-123456789012",
57 "name": "John Doe",
58 "type": "user"
59 },
60 "day_of_month": "1",
61 "day_of_week": "monday",
62 "hour": "12",
63 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
64 "minute": "30",
65 "month": "1",
66 "updated_at": "2024-01-15T09:30:00Z",
67 "updated_by": {
68 "id": "12345678-1234-1234-1234-123456789012",
69 "name": "John Doe",
70 "type": "user"
71 }
72 },
73 "destination_configuration": {
74 "schema": "my_schema"
75 },
76 "destination_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
77 "disable_record_timestamps": false,
78 "id": "248df4b7-aa70-47b8-a036-33ac447e668d",
79 "mode": "snapshot",
80 "name": "My Bulk Sync",
81 "normalize_names": "enabled",
82 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
83 "policies": [
84 "248df4b7-aa70-47b8-a036-33ac447e668d"
85 ],
86 "resync_concurrency_limit": 10,
87 "source_configuration": {
88 "replication_slot": "slot"
89 },
90 "source_connection_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
91 "updated_at": "2024-01-15T09:30:00Z",
92 "updated_by": {
93 "id": "12345678-1234-1234-1234-123456789012",
94 "name": "John Doe",
95 "type": "user"
96 }
97 }
98 ]
99}
Lists bulk syncs in the caller's organization. Results are ordered by `updated_at` descending, with `id` as a tiebreaker for syncs modified at the same instant. Pagination uses an opaque `pagination.next_page_token` returned in the response; pass it back as the `page_token` query parameter to fetch the next page. The `limit` parameter is optional, and the default and maximum page size is 50 syncs. > 📘 To retrieve a specific sync, use > [`GET /api/bulk/syncs/{id}`](../../../api-reference/bulk-sync/get) > instead of filtering the list client-side.
Was this page helpful?
Previous

Create Bulk Sync

Next

Lists bulk syncs in the caller’s organization.

Results are ordered by updated_at descending, with id as a tiebreaker for syncs modified at the same instant. Pagination uses an opaque pagination.next_page_token returned in the response; pass it back as the page_token query parameter to fetch the next page. The limit parameter is optional, and the default and maximum page size is 50 syncs.

📘 To retrieve a specific sync, use GET /api/bulk/syncs/{id} instead of filtering the list client-side.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Headers

X-Polytomic-VersionstringOptional

Query parameters

activebooleanOptional

Filter to only active (true) or only paused (false) syncs. Omit to return both.

Response

OK
datalist of objects or null

Errors

500
Internal Server Error